vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
    -- Packer can manage itself
    use 'wbthomason/packer.nvim'

    -- External dependencies management
    use "williamboman/mason.nvim"

    -- Gruvbox theme
    use "sainnhe/gruvbox-material"

    -- Directory tree

    use {
        "nvim-neo-tree/neo-tree.nvim",
        branch = "v2.x",
        requires = { 
            "nvim-lua/plenary.nvim",
            "kyazdani42/nvim-web-devicons",
            "MunifTanjim/nui.nvim",
        }
    }

    -- Tabs
    use {
        "akinsho/bufferline.nvim", tag = "v2.*", requires = "kyazdani42/nvim-web-devicons",
        config = function() require("bufferline").setup({
            options = {
                offsets = {
                    {
                        filetype = "neo-tree",
                        text = "Files",
                        highlight = "Directory",
                        text_align = "left",
                    }
                },
                separator_style = "slant",
            }
        }) end,
    }
end)
